BSON_MALLOC0(3)

SYNOPSIS

            void *
            bson_malloc0 (size_t num_bytes);

PARAMETERS

    •   num_bytes: A size_t.

DESCRIPTION

This is a portable malloc() wrapper that also sets the memory to zero. Similar to calloc().

If there was a failure to allocate num_bytes bytes, the process will be aborted.

Warning:
        This function will abort on failure to allocate memory.

RETURNS

A pointer to a memory region which HAS been zeroed.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.